<?php

// Resto del código PHP
 include 'concha.php';



if ($bloqueado == 1) {

echo "<b>LICENCIA VENCIDA.</b> <p>EL PANEL DE CONTROL FUE SUSPENDIDO TEMPORALMENTE HASTA QUE SE RENUEVE LA LICENCIA.</p>
<p><a href=https://radiosnet.com.ar>CONTACTO</a></p>"; exit;

};


   session_start();

    // Conexi�n a la base de datos



// Escapar las variables de sesión para prevenir inyección SQL
$_SESSION['s_username'] = $conn->real_escape_string($_SESSION['s_username']);
$_SESSION['token'] = $conn->real_escape_string($_SESSION['token']);

	  //checamos que exista
     $query = $conn->query("SELECT * FROM users WHERE username = '{$_SESSION['s_username']}' AND token = '{$_SESSION['token']}'");

// Verificar si hay al menos una fila en el resultado
if ($query->num_rows == 1) {
    // Volver a calcular un token
    $_SESSION['token'] = md5(random_bytes(16) . $_SESSION['s_username']);

    // Actualizar el token en la base de datos
    $conn->query("UPDATE users SET token = '{$_SESSION['token']}' WHERE username = '{$_SESSION['s_username']}'");


	$user = $_SESSION['s_username'];


}else{
   session_destroy();
   
          ?> <meta http-equiv="refresh" content="0; url=login.php" /><?
           exit;
    };


$sql = "SELECT * FROM users where username = '$user'";

$consulta = $conn->query($sql);
while ($row = $consulta->fetch_assoc())
{
$nombre = $row["nombre"];
$apellido 	= $row['apellido'];
$email = $row['email'];
$cat_user = $row['nivel'];
  }
$consulta->free_result();


?>
